-- Stored procedure
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[RP_DM_ANAG_CC_20170421]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
 	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ANAG_CC',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ANAG_CC
	INSERT INTO [C6Mart].[ANAG_CC]
		(
--chiaveClientePB
--		,
       [RETE]
		,[COD_FISCALE]
		,[INTERMEDIARIO]
		,[COINTEST]
		,[COD_CC]
		,[FASCIA_CPP]
		,[SALDOCONTABILE]
		,[SALDODISPONIBILE]
		,[DATA_APERTURA]
		,[DATA_CHIUSURA]
		,[ID_ELAB]
		,[TIPO_ELAB])
	SELECT 
--		VCONTRATTI.chiaveclientepb,
		SPB_CONTR_SINTESI.RETE AS RETE,
		SPB_CONTR_SINTESI.CODICEFISCALE AS COD_FISCALE,
		'BANCA FIDEURAM' AS INTERMEDIARIO,
		NULL AS COINTEST,
		SPB_CONTR_SINTESI.CONTO AS COD_CC,
		NULL AS FASCIA_CPP,
		SPB_CONTR_SINTESI.CTV AS SALDOCONTABILE,
		-- è diverso da quello restituito dalla contratto sintesi CC.SALDOCONTABILE AS SALDOCONTABILE,
		CC.SALDODISPONIBILE AS SALDODISPONIBILE,
		SPB_CONTR_SINTESI.DATADISOTTOSCRIZIONE AS DATA_APERTURA,
		NULL AS DATA_CHIUSURA,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	--INTO C6MART.ANAG_CC
	FROM C6STAGING.SPB_CONTR_SINTESI
	LEFT JOIN C6MART.VCONTRATTI ON VCONTRATTI.CODICECONTRATTO = SPB_CONTR_SINTESI.CODICECONTRATTO
	--V Aggiunta del saldo contabile e disponibile
	JOIN C6STAGING.SPB_CONTOCORRENTE CC 
		ON SPB_CONTR_SINTESI.CONTO = CC.CONTO
		AND SPB_CONTR_SINTESI.RETE = CC.RETE
		AND SPB_CONTR_SINTESI.CODICEFISCALE = CC.CODICEFISCALE
	WHERE SPB_CONTR_SINTESI.TIPOPRODOTTO = 'Cc'  AND VCONTRATTI.DATA_FINEAVANZATO is null
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ANAG_CC' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ANAG_CC'
		)
END
--select * from c6mart.RP_vContrattiNonGenerati